# Upsert customer tax registration

> POST /v1/customers/{customer_id}/tax-registrations

Source: https://docs.trykintsugi.com/reference/upsert-customer-tax-registration

POST /v1/customers/{customer_id}/tax-registrations

Upsert customer tax registration

Creates or updates a customer tax registration record. If a registration already exists
    for this customer with the same tax type and country code, it will be updated.

Category: Customer Tax Registration

Path parameters:
customer_id (string, required)

Request body:
tax_id (string, required)

Response fields:
id (string, required)
customer_id (string, required)
country_code (CountryCodeEnum, required)
  allowed values: AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM (and 239 more, see the reference page)
tax_type (CustomerTaxTypeEnum, required) - Enum for customer tax registration types.
  allowed values: gst, hst, gst_hst, qst, pst, rst, vat, unknown
tax_id (string, required)
is_valid (boolean, required)

Response statuses: 200, 422

---

Index of every page: https://docs.trykintsugi.com/llms.txt
